import React from 'react';                                                                                                                           
import { useNavigate } from 'react-router-dom';
import './Login.css';

function Login() {
  const navigate = useNavigate();
  const [user, updateUser] = React.useState('?');
  const [pass, updatePass] = React.useState('?');
  async function sendLoginRequest() {

    let p = fetch( 'http://localhost:80/account/login/' + user + '/' + pass, {credentials: "include"})
    .then((response) => {
      console.log('got a response');
      return response.text();
    }).then((text) => {
      console.log('The response: ' + text);
      if (text.startsWith('SUCCESS')) {
        navigate(`/main`);
      } 
    }); 
  }
  
  async function createAccount() { }
 
  return (
    <div className="Login">
     <h1>Login</h1>
        <label>Username</label>
        <input onInput={u => updateUser(u.target.value)}></input>
        <label>Password</label>
        <input onInput={p => updatePass(p.target.value)}></input>
        <button onClick={e => sendLoginRequest()}>Login</button>
        <button onClick={e => createAccount()}>Create Account</button>
    </div>
  );
}
 
export default Login;

