import React from 'react';
import ReactDOM from 'react-dom/client';
import './index.css';
import App from './App';
import Landing from './Landing';
import Main from './Main';

import reportWebVitals from './reportWebVitals';
//import {BrowserRouter as Router, Routes, Route} from 'react-router-dom';
import { BrowserRouter, Routes, Route } from 'react-router-dom';

const root = ReactDOM.createRoot(document.getElementById('root'));
root.render(
  <BrowserRouter>
    <Routes>
      <Route path="/login"  element={<Landing />} />
      <Route exact path="/" exact element={<Landing />} />
      <Route exact path="" exact element={<Landing />} />
      <Route path="/main" element={<Main />} />
    </Routes>
  </BrowserRouter>
);

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
reportWebVitals();
